# Incus VM Build and Deploy

## Build
```sh
nix build .#nixosConfigurations.fj-lxc-vm-x86_64.config.system.build.qemuImage --print-out-paths
nix build .#nixosConfigurations.fj-lxc-vm-x86_64.config.system.build.metadata --print-out-paths
```

## Deploy
```sh
incus image import --alias nixos-gen/custom/fj-lxc-vm-x86_64 ${metadatapath}/tarball/nixos-system-x86_64-linux.tar.xz ${qemuimageoutputpath}/nixos.qcow2
incus file push "$TOKEN_FILE" "$INCUS_INSTANCE/var/lib/forgejo/$TOKEN_FILE" --mode 400
```

## Runner machine types

Notice: The runners only run on VMs. No baremetal runners are available.

Hetzner/x86
Hetzner/aarch64
lxc-vm/x86

## Tags used

### Runner Tags

| tag                                     | description                                                |
| --------------------------------------- | ---------------------------------------------------------- |
| docker                                  | docker nodes                                               |
| docker-x86_64:docker://node:20-bullseye | specifically the debian bullseye with node 20 docker image |
| x86_64                                  | x86 builders only                                          |
| aarch64                                 | ARM builders only                                          |
| linux                                   | Specify if linux                                           |
| remote                                  | only use offsite runners                                   |
| native-aarch64:host                     | run on runner host -- not docker                           |
