{ pkgs, lib, ... }:
{
  imports = [
    ../cachix.nix
  ];

  environment.systemPackages = with pkgs; [
    # vim -- added by srvos.nixosModules.server
    # git -- srvos.nixosModules.server
    # tmux -- srvos.nixosModules.server
    cachix
    lazydocker
    lazygit
    nodejs_20 # required by actions such as checkout
    openssl
  ];

  # Required for the gitea-runner to be able to pull images.
  nix.settings.trusted-users = [ "gitea-runner" ];

  users = {
    groups.gitea-runner = { };

    users = {
      gitea-runner = {
        isSystemUser = true;
        extraGroups = [ "docker" ];
        group = "gitea-runner";
      };
    };
  };

  virtualisation.docker.enable = true;

  networking = {
    # Runner communication port for cache restores.
    firewall.allowedTCPPorts = [ 45315 ];

    networkmanager.enable = true;
    useDHCP = lib.mkDefault true;
  };

  system.stateVersion = "24.05";
}
